Subject: Re: linux-next: Signed-off-by missing for commits in Linus' tree

From: Kees Cook <[email-masked]>
Date: Wed, 24 Feb 2021 11:52:28 -0800

On Wed, Feb 24, 2021 at 11:31:08AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Commits
> 
>   b33fff07e3e3 ("x86, build: allow LTO to be selected")
>   d2dcd3e37475 ("x86, cpu: disable LTO for cpu.c")
>   e242db40be27 ("x86, vdso: disable LTO only for vDSO")
>   b1a1a1a09b46 ("kbuild: lto: postpone objtool")
>   41425ebe2024 ("objtool: Split noinstr validation from --vmlinux")
>   6dafca978033 ("x86, build: use objtool mcount")
>   22c8542d7b22 ("tracing: add support for objtool mcount")
>   0e731dbc1824 ("objtool: Don't autodetect vmlinux.o")
>   18a14575ae31 ("objtool: Fix __mcount_loc generation with Clang's assembler")
>   99d0021569c7 ("objtool: Add a pass for generating __mcount_loc")
> 
> are missing a Signed-off-by from their committer.

Ieeeee! Ugh, yes, my bad, entirely. I screwed up when rebuilding the
LTO "part 2" series for the -rc1 window (missed the -s on the cherry-pick).

Since we can't change git history, the best fix I can do is send it here
to the list. Obviously, these should all be considered:

Signed-off-by: Kees Cook <[email-masked]>

Again, apologies. I, too, will add a commit hook to check for this. (Is
there an existing script anyone else is already using?)

-- 
Kees Cook